Package org.apache.ignite.client.events

## Class HandshakeSuccessEvent

- java.lang.Object
- - org.apache.ignite.client.events.ConnectionEvent
  - - org.apache.ignite.client.events.HandshakeSuccessEvent

    public class HandshakeSuccessEvent
    extends ConnectionEvent

### Constructor Summary

Constructors
`HandshakeSuccessEvent​(ConnectionDescription conn, long elapsedTimeNanos)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `elapsedTime​(TimeUnit timeUnit)` Get the elapsed time of the handshake.

### Methods inherited from class org.apache.ignite.client.events.ConnectionEvent

`connectionDescription`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandshakeSuccessEvent

    public HandshakeSuccessEvent​(ConnectionDescription conn,
                                 long elapsedTimeNanos)

Parameters:
  `conn` - Connection description.
  `elapsedTimeNanos` - Elapsed time in nanoseconds.

### Method Detail

#### elapsedTime

    public long elapsedTime​(TimeUnit timeUnit)

Get the elapsed time of the handshake.

Parameters:
  `timeUnit` - Desired time unit in which to return the elapsed time.
Returns:
  the elapsed time.